Bug 1297225 - machined thinks all machines terminate on "systemctl daemon-reload"
machined thinks all machines terminate on "systemctl daemon-reload"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-10 16:18 EST by Sylvain Pasche
Modified: 2016-01-28 13:22 EST (History)
7 users (show)

See Also:
Fixed In Version: systemd-222-13.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 13:22:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of 49f3fffd94591bdf2bd6c2233a9300daeab79566 (8.90 KB, patch)
2016-01-10 16:27 EST, Sylvain Pasche
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Origin (Github) 376 None None None 2016-01-10 16:18 EST

  None (edit)
Description Sylvain Pasche 2016-01-10 16:18:07 EST
systemd 222 on Fedora 23 suffers from a rather annoying issue when using systemd-nspawn, reported on https://github.com/systemd/systemd/issues/376 (fixed upstream in later versions).
        
Basically, if you run "systemctl daemon-reload" (which happens implicitly when you install new packages or update the system), machined loses track of the machines.
So you have to do a "systemctl restart systemd-nspawn@MACHINE" for all of the machines that were running.
Comment 1 Sylvain Pasche 2016-01-10 16:27 EST
Created attachment 1113381 [details]
Backport of 49f3fffd94591bdf2bd6c2233a9300daeab79566

I propose to backport 49f3fffd94591bdf2bd6c2233a9300daeab79566 (https://github.com/poettering/systemd/commit/49f3fffd94591bdf2bd6c2233a9300daeab79566) on f23.

This attachment is a patch against the f23 branch of the systemd git fedora package, that adds the 49f3fffd94591bdf2bd6c2233a9300daeab79566 patch to the list.

I've tested the generated package and it fixes the issue.
Comment 3 Fedora Update System 2016-01-25 05:59:07 EST
systemd-222-13.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d6ff41417
Comment 4 Fedora Update System 2016-01-25 23:28:26 EST
systemd-222-13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d6ff41417
Comment 5 Fedora Update System 2016-01-28 13:22:02 EST
systemd-222-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.